package config

import (
	nats2 "gadmin/internal/admin/library/nats"
	"os"

	"github.com/sirupsen/logrus"
)

var (
	Nats   *nats2.NatsClient
	GmNats *nats2.NatsClient
)

func InitNats() {
	client := nats2.New(os.Getenv("NATS_URL"), os.Getenv("NATS_STREAM"))
	if client == nil {
		logrus.Panic("nats initialization failed")
	}
	Nats = client

	client2 := nats2.New(os.Getenv("NATS_URL"), os.Getenv("NATS_GM_STREAM"))
	if client2 == nil {
		logrus.Panic("GmNats initialization failed")
	}
	GmNats = client2
}
